Unknown error in source

I have just installed JDeveloper 9i version 9.0.3.1 (build 1107).
I've created a simple panel which holds a JSplitPane. the splitpane contains a list. The code compiles and runs successfully. I receive the above error when i try to move to the UI Editor.
The Code:
import javax.swing.JPanel;
import java.awt.Dimension;
import java.awt.Color;
import java.awt.Rectangle;
import javax.swing.JScrollPane;
import javax.swing.JList;
public class DailyPanel extends JPanel {
private JScrollPane jScrollPane1 = new JScrollPane();
private JList jList1;
public DailyPanel() {
try {
jbInit();
} catch(Exception e) {
e.printStackTrace();
private void jbInit() throws Exception {
this.setSize(new Dimension(379, 124));
this.setBackground(Color.white);
this.setLayout(null);
jList1 = new JList(Constants.DAYS_OF_WEEK);
jScrollPane1.setBounds(new Rectangle(100, 45, 120, 40));
jScrollPane1.getViewport().add(jList1, null);
this.add(jScrollPane1, null);
The error message dialog indicates the problem is :
java.lang.NullPointerException
     int javax.swing.JList$2.getSize()
          JList.java:297
This causes JDeveloper to behave strange (some of the windows are disabled)

I would recommend to move the instantiation of the JList out of jbInit and to the attribute declaration section. This might help.

Similar Messages

  • Error compiling movie - unknown error - encoding failed

    I am running a 2.40 GHz Quad Core with 8GB RAM
    I have a deadline on a video project in Premiere Pro CS4 with 4 video timelines and 8 audio timelines with many transitions and key frames with hours on two sequences of work completed and ready to export to an AVI file and burn a DVD.  The 30 minute sequence with only 3 timelines converted to AVI file okay.  The larger sequence with more timelines, keyframes, etc. will not export through Adobe Media Encoder for a Microsoft AVI file or an Uncompressed AVI file - getting the above error message each time.  Getting same errors when exporting a dynamic link to Encore to burn a DVD. 
    The sequence acted funny when I loaded the fourth video timeline so I deleted it and waiting untill the completion of the sequence to add any of that fourth timeline to that sequence and I did not even try to load the fourth timeline that I wanted to add...
    Here are the error messages I am getting:
    - Source File: C:\Users\dbonnett\AppData\Local\Temp\Katie Hill Wedding V03_4.prproj
    - Output File: C:\Users\dbonnett\Videos\2009-04-11, katie hill wedding\katie hill finished videos\Hill Ceremony Final.avi
    - Preset Used: NTSC DV
    - Video: 720x480, 29.97 [fps], Lower, Quality 100
    - Audio: 48000 Hz, Stereo, 16 bit
    - Bitrate:
    - Encoding Time: 00:19:56
    6/16/2009 7:29:23 PM : Encoding Failed
    Error compiling movie.
    Unknown error.
    - Source File: C:\Users\dbonnett\AppData\Local\Temp\Katie Hill Wedding V03_5.prproj
    - Output File: C:\Users\dbonnett\Videos\2009-04-11, katie hill wedding\katie hill finished videos\Hill Ceremony Final.avi
    - Preset Used: NTSC DV
    - Video: 720x480, 29.97 [fps], Lower, Quality 100
    - Audio: 48000 Hz, Stereo, 16 bit
    - Bitrate:
    - Encoding Time: 00:16:23
    6/16/2009 8:11:08 PM : Encoding Failed
    Error compiling movie.
    Unknown error.
    I have been going back & forth with Adobe Support with troubleshooting advice.  I am running a 2.40 GHz Quad Core, 8GB RAM - had to upgrade to Windows Vista 64-bit for computer to recognize more than 2GB RAM, had to purchase Premiere Production Premium CS4 because Adobe no longer supported Premiere Pro 2.0 & Adobe does not support Windows XP-64 bit (so Windows Vista was pushed down my throat...)  I have followed the Adobe instructions to Optimize Windows Vista for Adobe Premiere Pro CS4, I have uninstalled and re-installed the full program more than once.  I have defragmented my computer, I have performed the disk cleanup and deleted all temporary files, etc. to make sure my computer is running optimally.
    I have read the other Adobe threads that talk about CS3 & earlier similar error messages, but have found nothing with this particular message.  I have deleted the fourth timeline off of the video and tried to see if that would make it work, but it did not.
    Does ANYBODY have any suggestions on how I can further trouble shoot to get this project out or know of a way that I can export this project to another program to get an AVI file and a DVD burned with custom menus...

    I am using a 1TB Hard drive with 300 GB free space.  Yes, I always have to delete projects off to make room for new projects.  I have 3 750GB hard drives in my computer in addition to the main C drive that I am using.  Once a project is completed and a client is satisfied, I move the final AVI file off to one of the auxillary drives and delete the entire project from the C drive.  Then I defragment, delete temp files, disk cleanup, you name it to get the drive ready to use for the next project.  I have followed the Adobe protocol for all of this as well as my computer vendor.  I got rid of 95 GB of temp stuff several days ago with the disk cleanup and another 45 GB after deleting another project off my computer...  so looks like I am doing these things..please advise if you know of anything else.
    In the meantime, I am going to try to export to the MPEG2 -DVD export to see if this will work.  I did get an uncompressed file of 31 GB created which errored out at 24:24 minutes into the project and the AVI will not play so it is worthless so I am going to delete it.  I went to the timeline at 24.24 minutes and there is nothing unusual about that portion of the clip. This is the largest and most tedious timelines of the project because it is stacked 3 video timelines high with just a a few pieces of the 4th timeline in the project.  24:24 on the timeline is just another keyframe of moving the keyframes up and down to show which video camera version I want visible in that portion of the video - fading in and out of the project with the key frames...
    I will let you know if I can get an MPEG2 file.  Will this be a good enough quality to put on a DVD.  This is a standard NTSC 4:3 format video...

  • The Server application, source file, or item can't be found, or returned an unknown error. You may need to re install the server application

    Hello All, can anybody help?
    The Problem
    We are running SharePoint 2013 and document sets that have an excel file and a PowerPoint presentation both in the document set folder  and we have mapped this to a unc path
    \\SP.companyname.com\@SSL\DavWWWRoot\Documents
    Once a link(graph) is added from excel 2010 (Ctrl C) then go into PowerPoint 2010 Paste > paste special > paste link (As Microsoft Excel Chart Object) click ok the graph goes into the PowerPoint presentation.
    The graph/Table is added but in Power point 2010. Perfect.
    The problem is when we close excel and try and click on the graph(link) we get the following error “The Server application, source file, or item can’t be found, or returned an unknown error. You may need to reinstall the server
    application”
    If we right click then we get
    The Linked file was unavailable and can’t be updated
    Has anybody else experienced this issue?
    We are running SharePoint 2013 and document sets that have the excel file and PowerPoint in and we have mapped this to a unc path
    \\SP.companyname.com\@SSL\DavWWWRoot\Documents
    I think that Office 2010 does not link or cannot link to a url which it see the unc path as?? It works in Office 2013 but we have Office 2010 as standard across the firm also I have tried SP1 and SP2 for Office 2010 but still
    no joy 
    Is anybody else experiencing this issue? is there at least a work around?
    Many thanks in Advance
    Jake

    Hi,
    Usually this issue is caused by the Protected Mode in Adobe software, since it's not a Microsoft product, the information I can provide is quite limited. I suggest you contact the support of Adobe first, ask if they can provide any suggestion.
    Regards,
    Melon Chen
    TechNet Community Support
    It's recommended to download and install
    Configuration Analyzer Tool (OffCAT), which is developed by Microsoft Support teams. Once the tool is installed, you can run it at any time to scan for hundreds of known issues in Office
    programs.

  • Adobe Media Encoder Unknown Error

    I'm trying to export an Adobe Premier Pro file on Adobe Media Encoder. Each time I try, it gets about halfway through, then this error message comes up:
    - Source File: /Users/A25/Library/Caches/TemporaryItems/Incubus Trailer Rough Cut.prproj
    - Output File: /Users/A25/Desktop/Odyne Theatrical Trailer.mp4
    - Preset Used: HDTV 1080p 25 High Quality
    - Video: PAL, 1920x1080, 25 [fps], Progressive
    - Audio: AAC, 160 [kbps], 48 kHz, Stereo
    - Bitrate: VBR, 1 Pass, Target 32.00, Max 40.00 [Mbps]
    - Encoding Time: 00:07:07
    Mon Apr 15 12:48:21 2013 : Encoding Failed
    Error compiling movie.
    Unknown error.
    I've tried different video presets (1440x1080, 1920x1080 etc), but this message has appeard every time. Any ideas how to export it?
    Thanks

    Please read here:
    "Error compiling movie" when rendering or exporting with Premiere Pro CS3, CS4, CS5, CS5.5, CS6
    and here:
    Adobe Forums: FAQ: What information should I provide when asking a question on this forum?
    Jeff

  • ITunes syncing: unknown error (-50)

    Whenever I plug in my iPod Shuffle to sync my music a pop up comes up saying 'iTunes could not copy {song name} to the iPod {iPod name} because an unknown error occured (-50).' It happened after it asked me something to do with iTunes Store purchases that were on my iPod but not on my PC? Thanks in advance
    Message was edited by: Nick Bor

    If it's any help I've found that it won't sync only a certain foreign album. If I untick it and have 'Sync only ticked songs' on then everything else syncs fine. Could it be something wrong with the files themselves
    Aha. Could be the missing link here. Were these files imported to iTunes from an outside source or downloaded from the iTunes store?
    If they are imported from outside of iTunes, try removing these tracks and re-ripping them if at all possible. What format are they in?
    B-rock

  • "There was a problem downloading podcast. An unknown error occurred (-50)"

    Hello everyone,
    When I try to download the latest episode of my podcast feed, I see an exclamation mark next to the episode. When I click on the exclamation mark for more information, I see the following error message:
    "There was a problem downloading <podcast_episode>. An unknown error occurred (-50). Please check that the URL is correct and the connection to the network is active and try again."
    I was hoping that somebody might take a look at my feed and review the code for any potential problems. It can be found here:
    http://www.stereogol.com/audio/wimpy_podcast.php
    Important notes:
    1. This is not XML code. It is an XML generator created in PHP.
    2. This feed used to work fine in iTunes. I had many episodes already downloaded.
    3. I began noticing the problem after upgrading to iTunes version 7 and beyond.
    4. I know at least 3 other people that experienced the same problem with my feed after upgrading.
    5. Upgrading to newer service packs (7.0.2 for example) has not solved the problem.
    6. I ran my feed through an RSS validator. It spotted 2 errors: (1) the width of the podcast image and (2) the syntax of the <source> tag. I made corrections but they did not solve the problem. I changed them back after that.
    Thanks in advance for any input you can provide.
    Pedro

    Try fixing up the validation issues...
    http://www.feedvalidator.org/check.cgi?url=http%3A%2F%2Fwww.stereogol.com%2Faudi o%2Fwimpy_podcast.php
    Not promising it will help, but it's worth a shot.

  • PLEASE HELP!  Keep getting Unknown error (13019) since OS4 load!

    Hi,
    I've seen the TS2830 and tried EVERY solution including making a new account on my system and still can't sync my iPhone. As a last resort I unselected Sync Music and wiped everything off the iPhone now I can't get it back!!!! AAHHH! I tried only syncing part of my library and still does not work. It looks like it goes thought everything (progress bar counts all the tracks) and then at the ends with the popup "iTunes" "The iPhone "Ray's iPhone" cannot be synced. An unknown error occurred (13019)"
    I'm desperate to solve this.
    The Windows Event Viewer shows the following errors after each sync attempt:
    Log Name: Application
    Source: Bonjour Service
    Date: 6/29/2010 10:45:12 AM
    Event ID: 100
    Task Category: None
    Level: Error
    Keywords: Classic
    User: N/A
    Computer: Mediacenter
    Description:
    380: ERROR: read_msg errno 10054 (An existing connection was forcibly closed by the remote host.)
    Event Xml:
    <Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
    <System>
    <Provider Name="Bonjour Service" />
    <EventID Qualifiers="0">100</EventID>
    <Level>2</Level>
    <Task>0</Task>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2010-06-29T14:45:12.000000000Z" />
    <EventRecordID>6349</EventRecordID>
    <Channel>Application</Channel>
    <Computer>Mediacenter</Computer>
    <Security />
    </System>
    <EventData>
    <Data>380: ERROR: read_msg errno 10054 (An existing connection was forcibly closed by the remote host.)</Data>
    </EventData>
    </Event>
    Log Name: Application
    Source: Bonjour Service
    Date: 6/29/2010 10:45:12 AM
    Event ID: 100
    Task Category: None
    Level: Error
    Keywords: Classic
    User: N/A
    Computer: Mediacenter
    Description:
    500: ERROR: read_msg errno 10054 (An existing connection was forcibly closed by the remote host.)
    Event Xml:
    <Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
    <System>
    <Provider Name="Bonjour Service" />
    <EventID Qualifiers="0">100</EventID>
    <Level>2</Level>
    <Task>0</Task>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2010-06-29T14:45:12.000000000Z" />
    <EventRecordID>6348</EventRecordID>
    <Channel>Application</Channel>
    <Computer>Mediacenter</Computer>
    <Security />
    </System>
    <EventData>
    <Data>500: ERROR: read_msg errno 10054 (An existing connection was forcibly closed by the remote host.)</Data>
    </EventData>
    </Event>
    Any help would be greatly appreciated!
    Thanks,
    Ray Laureyns

    Well, I've isolated it down to 1 of 1779 songs from my 3890 file library! THIS STINKS!!!!!!

  • Corrupted/Locked out apple ID "An Unknown Error has occurred" logging into support?

    I was forced to use a different apple id to log into this support community because all attempts from different devices and browsers using another ID have ended up at the password prompt with "An unknown error has occurred" at the community login screen.  The ID can still be "manged" and appears to be able to make purchases from the iTunes Store over the internet.  A phone incident case number 388249960 was opened and I spent over an hour on the phone with this problem.  The ID in question was set up more than two years ago to help with my wife's iPad 1 which we paid 800 plus for,,, all the storage and bells and whistles.  Recently she started using the iTunes store to purchase and download television series and we got in trouble because her directories were filling the c:drive on a Vista Business computer she normally uses.  Before starting to deal with the problem of storage, I tried to make sure everything was up to date and downloaded/installed the latest iTunes 11.0,1,, to her machine.  I already had it on another machine running Windows 7 and two older Windows XP machines.    All of them were "tested" for home networking to our Apple TV so that I could go to the TV and find a computer which could be used as a source for streaming music, videos, etc., etc. all based on her ID.  As of this writing, I believe all of that functionality still exists, but, when I navigate to support and try to log in using her ID and password, I get re-prompted for the password and then "Locked Out" when "An Unknown Error Has Occurred" pops up above the login via the web site.
    I am writing this after much agony and travial via an obsolete instance of Windows Explorer running on Windows XP Home Premium on an old portable using a newly created Apple ID which does not appear to have the same problems logging into the support community.  Can anyone out there help me?
    I have gone to war with Comcast's "free" security enhancement software "Constant Guard" believing that it might be the source.  This machine had it installed at one time and has had it completely removed, but... it still experiences the error when my wife's ID is used.
    The issue may be related to the recently added requirement for secuity questions and recovery email addresses which I tried to address for her ID and inadvertently ran into conflict/problem with using certain other email addresses with her ID.  Perhaps something is corrupted in the database for her ID, or related to problems with support for esoteric things like Microsoft's .NET enhancements which I have long been using on my computers, or possibly Constant Guard "started" the problem because it was probably running when account security data was being updated via the Apple web site?  I tried to get information about what I thought was the "recovery email address" associated with her account and was told by Apple Web sites that it was "in use" as an apple ID and could not be used as her recovery address.  When I called trying to confirm that this ID was "mine" I was able to provide one of two security clearance pieces of data, but not enough information to get the support person to straighten things out for me. I ended up creating "yet another" ID just to get clear of the mess.
    I made a suggestion to one of the folks I spoke with that an improvement to the functionality of apple ID's would be to support "consolidation" of accounts so that if several different Apple devices had been registered with different ID's and they all belonged to the same user(s) that a "common ID" could be created.
    I'm reluctant to post apple ID's in a public support forum, and would prefer to deal with this by private email.  or phone.
    Message was edited by: [email protected]

    [email protected] wrote:
    I'm reluctant to post apple ID's in a public support forum, and would prefer to deal with this by private email.  or phone.
    Then contact Apple directly.
    This is a user to user technical support forum.  No one here has access to manage Apple ID's other than their own.
    There is no Apple presence here.

  • "The iPod cannot be synched. An unknown error has occured (-48)."

    My iTunes won't synch any new music files (photos synch fine) sighting that unknown error as the source. Now, I'm afraid to restore my iPod because a lot of the files have been moved and thus need to be relocated on iTunes, but if it won't alter my moved files, I'll try it. But does anyone else have a suggestion?

    I have the same problem. This is the only place on the whole internet where I've seen the same error (-48). I've tried reinstalling itunes, restoring the ipod, and resetting the ipod. It syncs fine with my imac, but with the pc (which has all my music on it) this error comes up.

  • System image utility fails "Unknown error has occurred"

    Hi,
    I can create disk images from 10.8.3 clients but when i'm putting them through system utility on the 10.8 server it fails after hours of running.
    The log is set to debug and shows the image creates upto 83% then jumps to 100% and later shows unknown errors and failed to create image from restore souce.
    I've created several disk images and saved them to different locations on the server as the source and final image.
    Below i've put in the debug log. Someone please help!!
    Workflow Started (2012-01-02 13:56:58 +0000)
    OS X Server 10.8.3 (12D78), System Image Utility 10.8.3 (624)
    Starting action: Define Image Source (1.4)
    Finished running action: Define Image Source
    Starting action: Create Image (1.7.2)
    Starting image creation process...
    Create NetRestore Image
    Initiating NetRestore from installed volume.
    progressPrefix="_progress"
    ++ progressPrefix=_progress
    scriptsDebugKey="DEBUG"
    ++ scriptsDebugKey=DEBUG
    imageIsUDIFKey="1"
    ++ imageIsUDIFKey=1
    imageFormatKey="UDZO"
    ++ imageFormatKey=UDZO
    mountPoint=""
    ++ mountPoint=
    ownershipInfoKey="501:20"
    ++ ownershipInfoKey=501:20
    blockCopyDeviceKey="0"
    ++ blockCopyDeviceKey=0
    dmgTarget="NetInstall"
    ++ dmgTarget=NetInstall
    potentialRecoveryDevice="disk3s3"
    ++ potentialRecoveryDevice=disk3s3
    asrSource="ASRInstall.pkg"
    ++ asrSource=ASRInstall.pkg
    destPath="/Volumes/Macintosh HD/Library/NetBoot/NetBootSP0/NetRestore of Macintosh 10-8_2.nbi"
    ++ destPath='/Volumes/Macintosh HD/Library/NetBoot/NetBootSP0/NetRestore of Macintosh 10-8_2.nbi'
    skipReorderingKey="0"
    ++ skipReorderingKey=0
    sourceVol="/Volumes/Macintosh HD 1"
    ++ sourceVol='/Volumes/Macintosh HD 1'
    postInstallHelperKey="1"
    ++ postInstallHelperKey=1
    . "${1}/createCommon.sh"
    + . /tmp/niutemp.YPRmigsL/createCommon.sh
    # createCommon.sh
    # Common functionality for the Image creation process.
    # sourced in by the various SIU scripts
    # Copyright © 2007-2012 Apple Inc. All rights reserved.
    # Using dscl, create a user account
    AddLocalUser()
    # $1 volume whose local node database to modify
    # $2 long name
    # $3 short name
    # $4 isAdminUser key
    # $5 password data
    # $6 password hint
    # $7 user picture path
    # $8 Language string
    local databasePath="/Local/Default/Users/${3}"
    local targetVol="${1}"
    # Find a free UID between 501 and 599
    for ((i=501; i<600; i++)); do
    output=`/usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -search /Local/Default/Users UniqueID $i`
    # If there is already an account dscl returns it, so we're looking for an empty return value.
    if [ "$output" == "" ]; then
    break
    fi
    done
    # Create the user record
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -create $databasePath
    if [ $? != 0 ]; then
    echo "Failed to create '${databasePath}'."
    return 1
    fi
    # Add long name
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath RealName "${2}"
    if [ $? != 0 ]; then
    echo "Failed to set the RealName."
    return 1
    fi
    # Set up the users group information
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath PrimaryGroupID 20
    if [ $? != 0 ]; then
    echo "Failed to set the PrimaryGroupID."
    return 1
    fi
    # Add some additional stuff if the user is an admin
    if [ "${4}" == 1 ]; then
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append "/Local/Default/Groups/admin" GroupMembership "${3}"
    if [ $? != 0 ]; then
    echo "Failed to add the user to the admin group."
    return 1
    fi
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append "/Local/Default/Groups/_appserveradm" GroupMembership "${3}"
    if [ $? != 0 ]; then
    echo "Failed to add the user to the _appserveradm group."
    return 1
    fi
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append "/Local/Default/Groups/_appserverusr" GroupMembership "${3}"
    if [ $? != 0 ]; then
    echo "Failed to add the user to the _appserverusr group."
    return 1
    fi
    fi
    # Add UniqueID
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath UniqueID ${i}
    if [ $? != 0 ]; then
    echo "Failed to set the UniqueID."
    return 1
    fi
    # Add Home Directory entry
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath NFSHomeDirectory /Users/${3}
    if [ $? != 0 ]; then
    echo "Failed to set the NFSHomeDirectory."
    fi
    if [ "${6}" != "" ]; then
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath AuthenticationHint "${6}"
    if [ $? != 0 ]; then
    echo "Failed to set the AuthenticationHint."
    return 1
    fi
    fi
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath picture "${7}"
    if [ $? != 0 ]; then
    echo "Failed to set the picture."
    return 1
    fi
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -passwd $databasePath "${5}"
    if [ $? != 0 ]; then
    echo "Failed to set the passwd."
    return 1
    fi
    # Add shell
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath UserShell "/bin/bash"
    if [ $? != 0 ]; then
    echo "Failed to set the UserShell."
    return 1
    fi
    # Create Home directory
    if [ -e "/System/Library/User Template/${8}.lproj/" ]; then
    /usr/bin/ditto "/System/Library/User Template/${8}.lproj/" "${targetVol}/Users/${3}"
    else
    /usr/bin/ditto "/System/Library/User Template/English.lproj/" "${targetVol}/Users/${3}"
    fi
    if [ $? != 0 ]; then
    echo "Failed to copy the User Template."
    return 1
    fi
    /usr/sbin/chown -R $i:$i "${targetVol}/Users/${3}"
    if [ $? != 0 ]; then
    echo "Failed to set ownership on the User folder."
    return 1
    fi
    # Copies a list of files (full paths contained in the file at $1) from source to the path specified in $2
    CopyEntriesFromFileToPath()
    local theFile="$1"
    local theDest="$2"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    local leafName=`basename "${FILE}"`
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Copying ${FILE}."
    fi
    /usr/bin/ditto $opt "${FILE}" "${theDest}/${leafName}" || return 1
    fi
    done < "${theFile}"
    return 0
    # Copies a list of packages (full path, destination pairs contained in the file at $1) from source to .../System/Installation/Packages/
    CopyPackagesWithDestinationsFromFile()
    local theFile="$1"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    local leafName=`basename "${FILE}"`
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Copying ${FILE}."
    fi
    read SUB_PATH
    /usr/bin/ditto $opt "${FILE}" "${mountPoint}/Packages/${SUB_PATH}${leafName}" || return 1
    fi
    done < "${theFile}"
    return 0
    # Create an installer package in ${1} wrapping the supplied script ${2}
    CreateInstallPackageForScript()
    local tempDir="$1"
    local scriptPath="$2"
    local scriptName=`basename "${scriptPath}"`
    local entryDir=`pwd`
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Create installer for script ${scriptName}"
    opt="-v"
    fi
    # shouldn't exist on entry...
    if [ -e "${tempDir}/emptyDir" ]; then
    /bin/rm -rf "${tempDir}/emptyDir"
    fi
    # make some directories to work in
    /bin/mkdir $opt -p "${tempDir}/${scriptName}.pkg/Contents/Resources" || return 1
    /bin/mkdir $opt "${tempDir}/emptyDir" || return 1
    # Create Archive.pax.gz
    cd "${tempDir}/emptyDir"
    /bin/pax -w -x cpio -f "${tempDir}/${scriptName}.pkg/Contents/Archive.pax" .
    /usr/bin/gzip "${tempDir}/${scriptName}.pkg/Contents/Archive.pax"
    cd "${entryDir}"
    # Create the Archive.bom file
    /usr/bin/mkbom "${tempDir}/emptyDir/" "${tempDir}/${scriptName}.pkg/Contents/Archive.bom" || return 1
    # Create the Info.plist
    /bin/cat > "${tempDir}/${scriptName}.pkg/Contents/Info.plist" << END
    <?xml version="1.0" encoding="UTF-8"?>
    <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
    <plist version="1.0">
    <dict>
    <key>CFBundleIdentifier</key>
    <string>com.apple.SystemImageUtility.${scriptName}</string>
    <key>CFBundleShortVersionString</key>
    <string>1</string>
    <key>IFMajorVersion</key>
    <integer>1</integer>
    <key>IFMinorVersion</key>
    <integer>0</integer>
    <key>IFPkgFlagDefaultLocation</key>
    <string>/tmp</string>
    <key>IFPkgFlagInstallFat</key>
    <false/>
    <key>IFPkgFlagIsRequired</key>
    <false/>
    <key>IFPkgFormatVersion</key>
    <real>0.10000000149011612</real>
    </dict>
    </plist>
    END
    echo "pkmkrpkg1" > "${tempDir}/${scriptName}.pkg/Contents/PkgInfo"
    echo "major: 1\nminor: 0" > "${tempDir}/${scriptName}.pkg/Contents/Resources/package_version"
    # Copy the script
    /bin/cp "$scriptPath" "${tempDir}/${scriptName}.pkg/Contents/Resources/postflight"
    # clean up
    /bin/rm -r "${tempDir}/emptyDir"
    return 0
    # Validate or create the requested directory
    CreateOrValidatePath()
    local targetDir="$1"
    if [ ! -d "${targetDir}" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Creating working path at ${targetDir}"
    fi
    /bin/mkdir -p "${targetDir}" || return 1
    fi
    # If any exist, apply any user accounts
    CreateUserAccounts()
    # $1 volume whose local node database to modify
    local count="${#userFullName[*]}"
    local targetVol="${1}"
    if [ $count -gt 0 ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Adding $count user account(s) to the image"
    fi
    for ((index=0; index<$count; index++)); do
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Adding user ${userFullName[$index]}"
    fi
    #lay down user here
    AddLocalUser "${targetVol}" "${userFullName[$index]}" "${userUnixName[$index]}" "${userIsAdmin[$index]}" "${userPassword[$index]}" "${userPassHint[$index]}" "${userImagePath[$index]}" "${userLanguage[$index]}"
    if [ $? != 0 ]; then
    echo "Failed to create the User '${userUnixName[$index]}'."
    return 1
    fi
    #suppress the Apple ID request
    DisableAppleIDRequestForUser "${targetVol}" "${userUnixName[$index]}"
    done
    # "touch"
    /usr/bin/touch "${targetVol}/private/var/db/.AppleSetupDone"
    /usr/bin/touch "${targetVol}/Library/Receipts/.SetupRegComplete"
    fi
    # retry the hdiutil detach until we either time out or it succeeds
    retry_hdiutil_detach()
    local mount_point="${1}"
    local tries=0
    local forceAt=0
    local limit=24
    local opt=""
    forceAt=$(($limit - 1))
    while [ $tries -lt $limit ]; do
    tries=$(( tries + 1 ))
    /bin/sleep 5
    echo "Attempting to detach the disk image again..."
    /usr/bin/hdiutil detach "${mount_point}" $opt
    if [ $? -ne 0 ]; then
    # Dump a list of any still open files on the mountPoint
    if [ "${scriptsDebugKey}" == "DEBUG" ]; then
    /usr/sbin/lsof +fg "${mount_point}"
    fi
    if [ $tries -eq $forceAt ]; then
    echo "Failed to detach disk image at '${mount_point}' normally, adding -force."
    opt="-force"
    fi
    if [ $tries -eq $limit ]; then
    echo "Failed to detach disk image at '${mount_point}'."
    exit 1
    fi
    else
    tries=$limit
    fi
    done
    # Create the dyld shared cache files
    DetachAndRemoveMount()
    local theMount="${1}"
    local mountLoc=`mount | grep "${theMount}"`
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Detaching disk image"
    # Dump a list of any still open files on the mountPoint
    if [ "${scriptsDebugKey}" == "DEBUG" ]; then
    /usr/sbin/lsof +fg "${theMount}"
    fi
    fi
    # Finally detach the mount (if it's actually mounted) and dispose the mountPoint directory
    if [ "${mountLoc}" != "" ]; then
    /usr/bin/hdiutil detach "${theMount}" || retry_hdiutil_detach "${theMount}" || return 1
    fi
    /bin/rmdir "${theMount}" || return 1
    return 0
    # Turn off the Apple ID request that happens on first boot after installing the OS
    DisableAppleIDRequestForUser()
    local targetUserLib="${1}/Users/${2}/Library"
    # Only do this if the file doesn't exist
    if [ ! -e "${targetUserLib}/Preferences/com.apple.SetupAssistant.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Disabling Apple ID request for user '${2}'"
    fi
    /usr/libexec/PlistBuddy -c "Add :DidSeeCloudSetup bool 1" "${targetUserLib}/Preferences/com.apple.SetupAssistant.plist" > /dev/null 2>&1
    /usr/libexec/PlistBuddy -c "Add :LastSeenCloudProductVersion string 10.8" "${targetUserLib}/Preferences/com.apple.SetupAssistant.plist" > /dev/null 2>&1
    fi
    return 0
    # If the pieces exist, enable remote access for the shell image
    EnableRemoteAccess()
    local srcVol="${1}"
    local opt=""
    if [ -e "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Enabling shell image remote access support"
    opt="-v"
    fi
    # install some things (again which aren't part of BaseSystem) needed for remote ASR installs
    /usr/bin/ditto $opt "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" "${mountPoint}/usr/lib/pam/pam_serialnumber.so.2" || return 1
    if [ -e "${srcVol}/usr/sbin/installer" ]; then
    /usr/bin/ditto $opt "${srcVol}/usr/sbin/installer" "${mountPoint}/usr/sbin/installer" || return 1
    fi
    # copy the sshd config and add our keys to the end of it
    if [ -e "${srcVol}/etc/sshd_config" ]; then
    /bin/cat "${srcVol}/etc/sshd_config" - > "${mountPoint}/etc/sshd_config" << END
    HostKey /private/var/tmp/ssh_host_key
    HostKey /private/var/tmp/ssh_host_rsa_key
    HostKey /private/var/tmp/ssh_host_dsa_key
    END
    fi
    fi
    return 0
    # If it exists, install the sharing names and/or directory binding support to the install image
    HandleNetBootClientHelper()
    local tempDir="${1}"
    local targetVol="${2}"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    if [ -e  "${tempDir}/bindingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Directory Service binding information"
    fi
    /usr/bin/ditto $opt "${tempDir}/bindingNames.plist" "${targetVol}/etc/bindingNames.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/etc/bindingNames.plist"
    /bin/chmod 644 "${targetVol}/etc/bindingNames.plist"
    fi
    if [ -e  "${tempDir}/sharingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Sharing Names support"
    fi
    /usr/bin/ditto $opt "${tempDir}/sharingNames.plist" "${targetVol}/etc/sharingNames.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/etc/sharingNames.plist"
    /bin/chmod 644 "${targetVol}/etc/sharingNames.plist"
    fi
    if [ -e  "${tempDir}/NetBootClientHelper" ]; then
    /usr/bin/ditto $opt "${tempDir}/NetBootClientHelper" "${targetVol}/usr/sbin/NetBootClientHelper" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/usr/sbin/NetBootClientHelper"
    /bin/chmod 555 "${targetVol}/usr/sbin/NetBootClientHelper"
    /usr/bin/ditto $opt "${tempDir}/com.apple.NetBootClientHelper.plist" "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist"
    /bin/chmod 644 "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist"
    # finally, make sure it isn't disabled...
    /usr/libexec/PlistBuddy -c "Delete :com.apple.NetBootClientHelper" "${targetVol}/var/db/launchd.db/com.apple.launchd/overrides.plist" > /dev/null 2>&1
    fi
    return 0
    # If any exist, install configuration profiles to the install image
    InstallConfigurationProfiles()
    local tempDir="${1}"
    local targetVol="${2}"
    local profilesDir="${targetVol}/var/db/ConfigurationProfiles"
    if [ -e  "${tempDir}/configProfiles.txt" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Configuration Profiles"
    fi
    /bin/mkdir -p "${profilesDir}/Setup" || return 1
    # Make sure the perms are correct
    /usr/sbin/chown root:wheel "${profilesDir}"
    /bin/chmod 755 "${profilesDir}"
    /usr/sbin/chown root:wheel "${profilesDir}/Setup"
    /bin/chmod 755 "${profilesDir}/Setup"
    /usr/bin/touch "${profilesDir}/.profilesAreInstalled"
    CopyEntriesFromFileToPath "${tempDir}/configProfiles.txt" "${profilesDir}/Setup" || return 1
    # Enable MCX debugging
    if [ 1 == 1 ]; then
    if [ -e  "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" ]; then
    /usr/libexec/PlistBuddy -c "Delete :debugOutput" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    /usr/libexec/PlistBuddy -c "Delete :collateLogs" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    fi
    /usr/libexec/PlistBuddy -c "Add :debugOutput string -2" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    /usr/libexec/PlistBuddy -c "Add :collateLogs string 1" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    fi
    fi
    # Converts a list of scripts (full paths contained in the file at $1) into packages in $3
    InstallScriptsFromFile()
    local tempDir="${1}"
    local theFile="${2}"
    local targetDir="${3}"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Converting scripts into install packages"
    opt="-v"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    # make an installer package out of the script
    CreateInstallPackageForScript "$tempDir" "${FILE}" || return 1
    # copy the resulting package to the Packages directory
    local leafName=`basename "${FILE}"`
    /usr/bin/ditto $opt "${tempDir}/${leafName}.pkg" "${targetDir}/${leafName}.pkg" || return 1
    # clean up
    /bin/rm -r "${tempDir}/${leafName}.pkg"
    fi
    done < "${theFile}"
    return 0
    # Prepare the source by deleting stuff we don't want to copy if sourcing a volume
    PostFlightDestination()
    local tempDir="${1}"
    local destDir="${2}"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Performing post install cleanup"
    opt="-v"
    fi
    # delete the DS indices to force reindexing...
    if [ -e "${mountPoint}/var/db/dslocal/indices/Default/index" ]; then
    /bin/rm $opt "${mountPoint}/var/db/dslocal/indices/Default/index"
    fi
    # detach the disk and remove the mount folder
    DetachAndRemoveMount "${mountPoint}"
    if [ $? != 0 ]; then
    echo "Failed to detach and clean up the mount at '${mountPoint}'."
    return 1
    fi
    echo "Correcting permissions. ${ownershipInfoKey} $destDir"
    /usr/sbin/chown -R "${ownershipInfoKey}" "$destDir"
    # Prepare the source by deleting stuff we don't want to copy if sourcing a volume
    PreCleanSource()
    local srcVol="$1"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    if [ -e "$srcVol/private/var/vm/swapfile*" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Removing swapfiles on $1"
    fi
    /bin/rm $opt "$srcVol/private/var/vm/swapfile*"
    fi
    if [ -e "$srcVol/private/var/vm/sleepimage" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Removing sleepimage on $1"
    fi
    /bin/rm $opt "$srcVol/private/var/vm/sleepimage"
    fi
    if [ -d "$srcVol/private/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/tmp/*" > /dev/null 2>&1
    fi
    if [ -d "$srcVol/private/var/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/var/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/var/tmp/*" > /dev/null 2>&1
    fi
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out devices and volumes on $1"
    fi
    if [ -d "$srcVol/Volumes" ]; then
    /bin/rm -r $opt "$srcVol/Volumes/*" > /dev/null 2>&1
    fi
    if [ -d "$srcVol/dev" ]; then
    /bin/rm $opt "$srcVol/dev/*" > /dev/null 2>&1
    fi
    if [ -d "$srcVol/private/var/run" ]; then
    /bin/rm -r $opt "$srcVol/private/var/run/*" > /dev/null 2>&1
    fi
    # Copy kernel and build the kext cache on the boot image
    PrepareKernelAndKextCache()
    local srcDir="$1"
    local destDir="$2"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Preparing the kernel and kext cache for the boot image"
    opt="-v"
    fi
    # Insure the kext cache on our source volume (the boot shell) is up to date
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Updating kext cache on source volume"
    fi
    /usr/sbin/kextcache -update-volume "${srcDir}" || return 1
    # Copy the i386 and, if it exists, the x86_64 architecture
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing the kext cache to the boot image"
    fi
    # make sure this doesn't exist
    if [ -e "${destDir}/i386" ]; then
    /bin/rm -rf "${destDir}/i386"
    fi
    # Install kextcaches to the nbi folder
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Creating a kernelcache for the boot shell"
    fi
    /bin/mkdir -p $opt "${destDir}/i386/x86_64" || return 1
    /usr/sbin/kextcache -arch x86_64 -L -N -S -z -K "${srcDir}/mach_kernel" -c "${destDir}/i386/x86_64/kernelcache" "${srcDir}/System/Library/Extensions" || return 1

    I am seeing a very similar output trying to make a netrestore image of a 10.8.4 Macbook Air on a 10.8.4 Mac Mini running OSX Server.  Gets to 84% and then shows the -1 progress and then just hangs until I cancel it (I haven't tried leaving it over night but left it that way for hours).
    Did you ever figure out what was going on or have a workaround to create an image?
    Thanks!

  • I got unknown error 21 on iTunes when I try to restore my Ipad2

    It all started when I was deleting an e-mail (from an uknown adress), then Mail was closing and I went back to my homescreen.
    Suddenly I see that all my purchased apps where gone, only shortcuts to Safari and the original Apple programs were in place.
    Then I tried to push the home and the power button to restart the device, it turns back on again without any affect.
    I connect my Ipad to the Mac Pro running OSX 10.6.8. and open iTunes, then I tried to recover a safety copy from the list, without any luck.
    The result of this ends with a device showing just the Apple logo a while, and then the iTunes wire.
    The problem with showing "unknown error 21" in iTunes seems to be a usual Windows third-party issue, but I`m running it on a Mac.
    I tried all basic steps in the Apple support, but it still came back with the message: "detected iPad in recovery mode...you will have to restore it before it can be used with iTune", and then a message that tells me the Ipad device can not me restored, unknown error 21.
    I have no firewall, the time is correct, I`m running the latest iTunes version 10.6.1, I can connect to the iTunes store and it looks okey.
    I connected the original 30-pins connector on the back, unpluging all other USB-devices, I checked this and several other things, but I just can`t get it to work.
    Before it turned into this "Brick" I noticed that the indication on used memory for programs (green) went down to zero,
    and "other" (yellow) were the biggest area ( app.14 GB )
    HELP !

    did the google for you here are some hits
    https://discussions.apple.com/thread/3618822?start=0&tstart=0
    http://forums.techarena.in/portable-devices/1351249.htm
    if you want more hits
    https://www.google.com/search?source=ig&hl=en&rlz=1G1TSEH_ENDK367&q=identify+ipa d+model&oq=identify+ipad+m&aq=0&aqi=g2g-sv1g-b3&aql=&gs_nf=1&gs_l=igoogle.3.0.0l 2j0i10i15j0i8l3.143541.147315.0.148650.15.15.0.2.2.0.121.1185.10j3.13.0.#hl=en&s ugexp=frgbld&gs_nf=1&tok=AJBeX1ush6FgeyPb2oiWCA&pq=identify%20ipad%20model&cp=17 &gs_id=7&xhr=t&q=unknown+error+21+itunes&pf=p&sclient=psy-ab&rlz=1G1TSEH_ENDK367 &oq=unknown+error+21+&aq=0&aqi=g4&aql=&gs_l=&pbx=1&bav=on.2,or.r_gc.r_pw.r_cp.,c f.osb&fp=c5ff0959a78b1649&biw=1732&bih=792

  • An unknown error occurred while executing the PowerShell script:

    Hello all,
    Not the most descriptive title, granted. I'm hoping this may prompt the next version toprovide additional valuable content.
    Kindly requesting any help on this problem. I'm running VMM 2012 R2 version 3.2.7668
    When I try to look at properties of an existing Private Cloud, I get this error, only if I "look" at certain attributes. If I stay away from the specific attributes, everything is hunky dory. For reasons unknown, after I get this error, I have
    to exit and go back into VMM in order to get anything else to run.
    The text in the error dialogue box is not entirely applicable because I was connected to the VMM server and will connect again, when I exit/relaunch.
    An unknown error occurred while executing the PowerShell script:
    The connection to the VMM management server scvmm2.mmmmmm.com was lost.
    Ensure that scvmm2.mmmmmm.com is online and that you can access the server remotely from your computer. Then connect to scvmm2.mmmmmm.com and try the command again using the new connection. Or, you can ensure that the Virtual Machine Manager service is started
    on scvmm2.mmmmmm.com. Then connect to scvmm2.mmmmmm.com and try the command again using the new connection. If the command fails again because of a connection failure, restart the Virtual Manager service and then try the operation again.
    Try the operation again. If the issue persists, contact Microsoft Help and Support.
    ID: 27235
    This is what I get in Events
    Warning 4/9/2015 3:27:04 PM PowerShell (Microsoft-Windows-PowerShell) 4100 Executing Pipeline
    Log Name:      Microsoft-Windows-PowerShell/Operational
    Source:        Microsoft-Windows-PowerShell
    Date:          4/9/2015 3:27:04 PM
    Event ID:      4100
    Task Category: Executing Pipeline
    Level:         Warning
    Keywords:      None
    User:          mmmmmm\paufra
    Computer:      tools-francis.mmmmmm.com
    Description:
    Error Message = The connection to the VMM management server scvmm2.mmmmmm.com was lost. (Error ID: 1610)
    Ensure that scvmm2.mmmmmm.com is online and that you can access the server remotely from your computer. Then connect to scvmm2.mmmmmm.com and try the command again using the new connection. Or, you can ensure that the Virtual Machine Manager service is started
    on scvmm2.mmmmmm.com. Then connect to scvmm2.mmmmmm.com and try the command again using the new connection. If the command fails again because of a connection failure, restart the Virtual Manager service and then try the operation again.
    Fully Qualified Error ID = 1610,Microsoft.SystemCenter.VirtualMachineManager.Cmdlets.GetSCReplicationGroupCmdlet
    Recommended Action = Ensure that scvmm2.mmmmmm.com is online and that you can access the server remotely from your computer. Then connect to scvmm2.mmmmmm.com and try the command again using the new connection. Or, you can ensure that the Virtual Machine Manager
    service is started on scvmm2.mmmmmm.com. Then connect to scvmm2.mmmmmm.com and try the command again using the new connection. If the command fails again because of a connection failure, restart the Virtual Manager service and then try the operation again.
    Context:
            Severity = Warning
            Host Name = Default Host
            Host Version = 4.0
            Host ID = 94963cd4-5979-4786-9da2-c8814de8c7c3
            Host Application = C:\Program Files\Microsoft System Center 2012 R2\Virtual Machine Manager\Bin\VmmAdminUI.exe
            Engine Version = 4.0
            Runspace ID = 359d7a46-3752-4929-8c09-0de4152d10e4
            Pipeline ID = 16
            Command Name = Get-SCReplicationGroup
            Command Type = Cmdlet
            Script Name =
            Command Path =
            Sequence Number = 91
            User = mmmmmm\paufra
            Shell ID = Microsoft.PowerShell
    User Data:
    Event Xml:
    <Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
      <System>
        <Provider Name="Microsoft-Windows-PowerShell" Guid="{A0C1853B-5C40-4B15-8766-3CF1C58F985A}" />
        <EventID>4100</EventID>
        <Version>1</Version>
        <Level>3</Level>
        <Task>106</Task>
        <Opcode>19</Opcode>
        <Keywords>0x0</Keywords>
        <TimeCreated SystemTime="2015-04-09T22:27:04.993655700Z" />
        <EventRecordID>285</EventRecordID>
        <Correlation ActivityID="{48059811-1A63-41E1-9057-7498D0E4FC20}" />
        <Execution ProcessID="2344" ThreadID="4076" />
        <Channel>Microsoft-Windows-PowerShell/Operational</Channel>
        <Computer>tools-francis.mmmmmm.com</Computer>
        <Security UserID="S-1-5-21-4008432563-1984933819-4238309236-2721" />
      </System>
      <EventData>
        <Data Name="ContextInfo">        Severity = Warning
            Host Name = Default Host
            Host Version = 4.0
            Host ID = 94963cd4-5979-4786-9da2-c8814de8c7c3
            Host Application = C:\Program Files\Microsoft System Center 2012 R2\Virtual Machine Manager\Bin\VmmAdminUI.exe
            Engine Version = 4.0
            Runspace ID = 359d7a46-3752-4929-8c09-0de4152d10e4
            Pipeline ID = 16
            Command Name = Get-SCReplicationGroup
            Command Type = Cmdlet
            Script Name =
            Command Path =
            Sequence Number = 91
            User = mmmmmm\paufra
            Shell ID = Microsoft.PowerShell
    </Data>
        <Data Name="UserData">
        </Data>
        <Data Name="Payload">Error Message = The connection to the VMM management server scvmm2.mmmmmm.com was lost. (Error ID: 1610)
    Ensure that scvmm2.mmmmmm.com is online and that you can access the server remotely from your computer. Then connect to scvmm2.mmmmmm.com and try the command again using the new connection. Or, you can ensure that the Virtual Machine Manager service is started
    on scvmm2.mmmmmm.com. Then connect to scvmm2.mmmmmm.com and try the command again using the new connection. If the command fails again because of a connection failure, restart the Virtual Manager service and then try the operation again.
    Fully Qualified Error ID = 1610,Microsoft.SystemCenter.VirtualMachineManager.Cmdlets.GetSCReplicationGroupCmdlet
    Recommended Action = Ensure that scvmm2.mmmmmm.com is online and that you can access the server remotely from your computer. Then connect to scvmm2.mmmmmm.com and try the command again using the new connection. Or, you can ensure that the Virtual Machine Manager
    service is started on scvmm2.mmmmmm.com. Then connect to scvmm2.mmmmmm.com and try the command again using the new connection. If the command fails again because of a connection failure, restart the Virtual Manager service and then try the operation again.
    </Data>
      </EventData>
    </Event>

    Hi Sir,
    First , please try to run the VMM configuration analyzer on that computer :
    http://www.microsoft.com/en-us/download/details.aspx?id=41555
    In addition , please try to use "VMMTrace" mentioned in following article to collect trace log and find some useful information :
    http://blogs.technet.com/b/jonjor/archive/2011/01/07/vmmtrace-simplified-scvmm-tracing.aspx
    Best Regards,
    Elton Ji
    Please remember to mark the replies as answers if they help and unmark them if they provide no help. If you have feedback for TechNet Subscriber Support, contact [email protected] .

  • Unknown Error in BI 7.0

    Hi Gurus,
    Please let me know if anyone has faced an 'Unknown error while uploading data from the DB table' message while previewing or loading data from an Oracle Source to BI 7.0 using DB Connect.
    Thanks in advance,
    Regards,
    Neo.

    Please don't post the same question as a new thread:
    Load error in BI 7.0

  • Premiere CS6 Unknown Error in Rendering & Export

    Hello,
    this is an ongoing problem that persisted on any version of Adobe Premiere Pro I worked with, including CS5,5.5 and the latest 6.
    I am stuck with a feature film on a CS6 Timeline, getting an Unkown Error during rendering and Media Encoder exports. 
    I get the same error if I attampt to create a new trimmed project with Project Manager.
    I am aware that this is one of the most common problems in this forum, and before opening a discussion I tried everithing I could:
    - Replace the media at the point of the error/crash (even though the error seems to happen randomly in dirrerent portions of the timeline)
    - Disable MPE
    - Reset Secutity and permission on files
    - change hard drive
    - Create a new sequence
    - Disable second monitor
    I have to bring an export of my film and a new trimmed project by tomorrow to a color house and I am currently stuck.
    I managed to render the entire timeline before exporting. Redering would stop randomly, generating the same "Unkown Error in Copiling Movie".
    Although I rendered the entire timeline by creating different IN-OUT with the work area selection.
    After a long and tetious rendering process I managed to have the entire timeline "green" and ready to go.
    I figured that this way the exporting process would have been successful. Unfortunatelly not.
    I switched to Premiere Pro for its ability to edit R3D media, but what's the point if we cannot export the project? And neither trimm it to a file that I can give to a colorist?
    Here some details of my workstation and source media:
    - MacPro 12cores 64Gb ram
    - Internal 6Tb raid for source media
    - 4Tb Dulce Scratch drive
    - Editing 4K and 5K R3D Media natively
    If anyone found a solution to this problem, please help.
    Thanks

    Hi Neonhigh,
    If you are going to color correction, why do you need an output? Aren't they color correcting the native files?
    I need an output as reference for the VFX department, I need an output for the sound designer, I need an output for the producer, I need an output for myself and to send to my girlfriend. The question I should ask you is, why shouldn't I need an output?
    What's wrong by exporting my timeline in a format that is not r3d files for reference and production management?
    I was talking about color correction only, as they usually only need the native files. Of course, an output would be necessary for all the other things you mentioned. Nothing wrong with that.
    Neonhigh wrote:
    If you need an output for some reason, why are you rendering at all?
    As I explained I simply rendered because the software was having several random "Unkown" problems in exporting. I though rendering and exporting a file matching the timeline settings would have solved those annoying Unkown Errors, giving me at list an export based on the render sttings.
    Problem is that PPro CS6 fails also to render the timeline, and I needed to break the process in 30-40 segments in order to achieve a complete rendering.
    Rendering in Premiere Pro is primarily for playback, and not necessary for output. In fact, it's a waste of time in most cases. Render files are typically not used for an output unless you explicitly want to do so. Typically they are lower resolution "preview" files that you don't want to use.
    Regardless, you should have no trouble rendering sections of your Timeline. Are you updated to Premiere Pro CS6 (6.0.2)?
    Can you try an export without rendering?
    I wish PPro CS6 was reliable enough to allow me to simply export.
    I still did not solve the problem. Several people from the redusers forum are trying to help me as and they all ran into the same issue.
    Currently this are the issues:
    - PPro does not render the entire timeline
    I'm trying a test project right now and so far it is rendering OK. Can you point me to the reduser forum post where people were giving you assistance?
    - does not output the entire timeline (if not chopping it in 12-15 parts)
    I'll test that, as well. You should not have to segment the sequence in order to get an export.
    - Project Manager does not trim the project to pass it to over post prod facilities.
    Sorry, the Project Manager will not consolidate every media type. It will copy, however. This would be a feature request or bug report: http://www.adobe.com/go/wish
    Beside questioning me with why I want to render or export my project,
    Not questioning your capabilities or talents, I just wanted to know what you wanted to do, and why. Typically, most people don't render as much in Premiere Pro as they do in other NLEs and I was wondering why you needed an export to go to color correction. That's all.
    Many users in this forum (as well as on the entire internet) experienced th same Unkown Problem:
    http://forums.adobe.com/message/4661398
    There could be many different variables which can cause that error. The troubleshooting doc you found addresses many of those. I will add the "Unknown Error" warning to the document.
    There is no "single fix" for this problem, I'm afraid, and these are our opinions and solutions on the matter.
    A legitimate gripe would be that the error is too generic, and I would agree with you there. The error should contain more details about how to remedy your issue. Please make a feature request for more descriptive error dialog boxes: http://www.adobe.com/go/wish
    I will also mention it to the product team.
    I understand that, being an "Unkown Errror" Adobe does not have a iniversal fix, but please don't ask me why I want to output my timeline.
    Again, I was only asking in the context of color correction. Of course, you want an output for various reasons.
    I've written up your bad experience in my case notes and I'll do my best to get you some better answers to your questions. You definitely should not have to jump through hoops to render or export a .R3D sequence.
    Neonhigh wrote:
    Here is a temporary fix for who runs into this problem:
    Yesterday, after trying everything I could think of I simply exported an XML, opened it in Final Cut Pro and exported all the files and formats that I needed. No Unknown Errors.
    Thanks for the workaround. I'll add it to my notes.

  • VLD-0917: An unknown error occured while generating FACT

    I'm trying to move my OWB repository from machine_1 to machine_2 this is what I did:
    1. Export of the OWB metadata for the entire project. (machine_1)
    2. Import of the OWB project in machine_2, import is successfull.
    3. Configure locations for the source/target schemas (double, triple checked)
    4. deploy the objects...
    Here comes the problem: all tables referencing shared tables from other locations (i.e. modules), fail to generate with error
    VLD-0917: An unknown error occured while generating FACT.
    An unknown error occurred while generating FACT.
    Error details: java.lang.NullPointerException.
    following is the Design Center client log for the error:
    **** Exception when generating ****
    java.lang.NullPointerException
    at oracle.wh.repos.sdk.environment.WBEnvironmentHelper.getDbLinkName(WBEnvironmentHelper.java:775)
    at oracle.wh.service.impl.generation.common.WBGenerationUtils.isSameInstance(WBGenerationUtils.java:355)
    at oracle.wh.service.impl.generation.ddl.TableGenerator.getMapSchemaName(TableGenerator.java:914)
    at oracle.wh.service.impl.generation.ddl.TableGenerator.generateForeignKey(TableGenerator.java:1047)
    at oracle.wh.service.impl.generation.ddl.TableGenerator.generateForeignKeys(TableGenerator.java:894)
    at oracle.wh.service.impl.generation.ddl.TableGenerator.generatePhysical(TableGenerator.java:612)
    at oracle.wh.service.impl.generation.ddl.DDLGenCommon.generate(DDLGenCommon.java:463)
    at oracle.wh.service.impl.generation.ddl.TableGenerator.generate(TableGenerator.java:145)
    at oracle.wh.service.impl.generation.ddl.DDLGenCommon.generate(DDLGenCommon.java:306)
    at oracle.wh.service.impl.generation.ddl.DDLGeneratorManager.generateAUX(DDLGeneratorManager.java:186)
    at oracle.wh.service.impl.generation.ddl.DDLGeneratorManager.generate(DDLGeneratorManager.java:101)
    at oracle.wh.service.impl.generation.common.WBGenerationService.generateCode(WBGenerationService.java:423)
    at oracle.wh.service.impl.generation.common.WBGenerationService.generateCode(WBGenerationService.java:311)
    at oracle.wh.service.impl.generation.service.WhValidationGenerationTransaction.run(WhValidationGenerationTransaction.java:251)
    Even more, this happens when I create a new FACT and a new shared table (located in another location) so it isn't the repository metadata being imported. If I remove the constrainsts referencing tables in other schemas then deployment is successfull.
    Repository resides in an oracle database 10g r2 and OWB is 10.2.0.3 running on a cluster machine with AIX 5...
    Any ideas how to solve this or a possible workaround?
    Thanks,
    German

    Hi,
    I realized that I'm getting this error for all fact tables. I cannot deploy any of them. What could be happening? I have a dimension that is linked to all facts which I changed recently: had to redefine its default hierarchy as a value-based one. I don't know if this affected my cubes.
    Any idea what might be happening here?
    Best Regards,
    --oswaldo.
    [osantos]

Maybe you are looking for

  • How to rotate a thumbnail image in Finder?

    Is there a way to rotate a thumbnail image in Finder? When I click a photo in a Finder folder, the image automatically opens in Preview and the image is correctly displayed right side up. But the thumbnail image is displaying a vertical photo horizon

  • CIN Settings regarding Sales and Distribution (TAXINN)

    Hello SAP Gurus                             I have made tax procedure from copying taxinn and also created condition types. I am using standard JFACT procedure in sales order but this is not showing the excise value for that order. G/l accounts are c

  • When was the latest version of itunes released?

    When was the latest version of itunes released? i opened itunes and it said a newer version was available but im not sure if its the same one i have? i have 6.0.4.2 thanks -billy

  • Icloud storage downgrade

    I got an email from iCloud I guess that my cloud storage is going to be reduced from 25 gb to 5 gb.  I had paid for MobileMe so I don't know if thats how I got the extra storage on iCloud or what. I don't how this all works to be honest with you.  I

  • No Change of Email Address

    Hi, I Remember Verywell that i was allowed to change my email address in OTn.. i am member in OTN since 2000 and i have changed a Few companies in the past few years ... Now i would like to update my Email Address and i dont want to Loose My Id.. Wha